#include <stdio.h>
#include <stdlib.h>

void print_string(char *s)
{
  int i = 0;
  while (s[i] != '\0')
    {
      printf("%c\n", s[i]);
      i++;
    }
}
int main (){

  char *string ="hellothisis a string";
  print_string(string);

  return 0;
}
